%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Module::Load|Module::Metadata|version)\\)$

Summary:        Looking up module information / loading at run-time
Name:           perl-Module-Load-Conditional
Version:        0.74
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Load-Conditional
Source0:        https://cpan.metacpan.org/modules/by-module/Module/Module-Load-Conditional-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76

BuildRequires:  perl(Carp) perl(Config) perl(constant) perl(Exporter) perl(File::Spec)
BuildRequires:  perl(FileHandle) perl(Locale::Maketext::Simple) perl(Module::CoreList) >= 2.22
BuildRequires:  perl(Module::Load) >= 0.28 perl(Module::Metadata) >= 1.000005 perl(Params::Check)
BuildRequires:  perl(strict) perl(vars) perl(version) >= 0.69

BuildRequires:  perl(FindBin) perl(lib) perl(Test::More) perl(warnings)
Requires:       perl(Config)  perl(Module::CoreList) >= 2.22
Requires:       perl(Module::Load) >= 0.28 perl(Module::Metadata) >= 1.000005 perl(version) >= 0.69

%description
This module can query the state of modules on your system. It can
tell you if you have certain modules installed without attempting
to C<use> them and can do smart loading of modules.

%prep
%autosetup -n Module-Load-Conditional-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load::Conditional.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.74-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.74-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.74-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.74-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.74-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.74-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 9 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.74-1
- package init.
